Data - Retrieve Alert Properties
Pobiera właściwości alertu dla określonego alertu.
GET http://<Servername>/OperationsManager/data/alertInformation/{alertId}
Parametry identyfikatora URI
| Nazwa | W | Wymagane | Typ | Opis |
|---|---|---|---|---|
|
alert
|
path | True |
string |
Identyfikator alertu, dla którego ma zostać pobrany kontekst. |
Odpowiedzi
| Nazwa | Typ | Opis |
|---|---|---|
| 200 OK |
OK. Pomyślnie ponowiono próbę uzyskania informacji o alercie. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Przykłady
RetrieveAlertInformation
Przykładowe żądanie
GET http://<Servername>/OperationsManager/data/alertInformation/f50652d0-2317-44de-81a6-2c622b94d00a
Przykładowa odpowiedź
{
"alertHistoryResponses": [
{
"id": "f50652d0-2317-44de-81a6-2c622b94d00a",
"modifiedBy": "System",
"comments": "Alert Activated by the System.",
"timeModified": "2022-05-17T05:36:38.0200000Z"
}
],
"description": "The All Management Servers Pool has not reported availability since Tue, 17 May 2022 05:31:42 GMT. This adversely affects all availability calculation for the entire management group.",
"context": "",
"name": "All Management Servers Pool Unavailable.",
"ruleId": "86006a18-5f04-2002-a8a3-9cd37ab016e9",
"monitorId": null,
"isMonitorAlert": false
}
Definicje
| Nazwa | Opis |
|---|---|
|
Alert |
|
|
Alert |
AlertDataResponse
| Nazwa | Typ | Opis |
|---|---|---|
| alertHistoryResponses |
Odpowiedzi w historii alertów |
|
| context |
string |
Kontekst alertu. |
| description |
string |
Opis wpisu |
| isMonitorAlert |
boolean |
to alert generowany przez monitor |
| monitorId |
string |
Identyfikator monitora, który wygenerował alert. |
| name |
string |
Nazwa wpisu |
| ruleId |
string |
Identyfikator reguły, która wygenerowała alert. |
AlertHistoryResponse
| Nazwa | Typ | Opis |
|---|---|---|
| comments |
string |
Komentarze do alertów |
| id |
string |
Identyfikator alertu |
| modifiedBy |
string |
Alert zmodyfikowany przez |
| timeModified |
string |
Alert czasowy został zmodyfikowany |